=== debian/changelog ===
ros-indigo-robot-face (1.0.7-0trusty) trusty; urgency=high

  * added install()
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Tue, 12 Jan 2016 23:00:00 -0000

ros-indigo-robot-face (1.0.6-0trusty) trusty; urgency=high

  * added libpulse-dev dependency
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 11 Jan 2016 23:00:00 -0000

ros-indigo-robot-face (1.0.5-0trusty) trusty; urgency=high

  * added libesd0-dev dependency
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 10 Jan 2016 23:00:00 -0000

ros-indigo-robot-face (1.0.4-0trusty) trusty; urgency=high

  * added festival-dev dependency
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 10 Jan 2016 23:00:00 -0000

ros-indigo-robot-face (1.0.3-0trusty) trusty; urgency=high

  * added maintainers
  * updated changelog
  * added missing dependencies
  * updated package
  * removed components
  * added cmake_modules to package xml due to build error
  * Imported upstream version '1.0.2' of 'upstream'
  * Imported upstream version '1.0.1' of 'upstream'
  * Contributors: Niklas Yann Wettengel, Raphael Memmesheimer
  * added missing dependencies
  * updated package
  * removed components
  * added cmake_modules to package xml due to build error
  * Imported upstream version '1.0.2' of 'upstream'
  * Imported upstream version '1.0.1' of 'upstream'
  * Contributors: Niklas Yann Wettengel, Raphael Memmesheimer

 -- Viktor Seib <vseib@uni-koblenz.de>  Thu, 31 Dec 2015 23:00:00 -0000

ros-indigo-robot-face (1.0.1-0trusty) trusty; urgency=high

  * big bang
  * Contributors: Raphael Memmesheimer

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 07 Sep 2015 22:00:00 -0000
