=== debian/control ===
Source: ros-indigo-robot-face
Section: misc
Priority: extra
Maintainer: Viktor Seib <vseib@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), festival, festival-dev, festvox-kallpc16k, libesd0-dev, libestools2.1-dev, libogre-1.8-dev, libopencv-dev, libpulse-dev, libqt4-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-genmsg, ros-indigo-image-transport, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-roslang, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-robot-face
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, festival, festival-dev, festvox-kallpc16k, libesd0-dev, libestools2.1-dev, libogre-1.8-dev, libopencv-dev, libpulse-dev, libqt4-dev, ros-indigo-cv-bridge, ros-indigo-message-runtime, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-roslib, ros-indigo-sensor-msgs, ros-indigo-std-msgs
Description: An application to display a talking head on your robot for human robot interaction.
